﻿#language: ru

@scp

Функционал: 011. SCP. АРМ планирования цепочек поставок с настроенными НСИ. Обнуление документов

Контекст:
	Дано Я подключаюсь под "Планирование цепочек поставок"

Сценарий: 011. SCP. АРМ планирования цепочек поставок с настроенными НСИ. Обнуление документов

	Дано Я открываю и заполняю АРМ SCP
	И в таблице "ДвиженияТоваров" я перехожу к строке:
		| 'Доступных схем обеспечения' | 'Ед.' | 'Источник' | 'На конец' | 'На начало' | 'Номенклатура'             | 'Период'         | 'Приход' | 'Склад'              | 'Характеристика' |
		| '1'                          | 'кг'  | 'Разруб'   | '377'      | '291'       | 'Цыплята 1 кат /подложка/' | '24.08.20 07:00' | '86'     | 'Склад  в Белоусово' | 'Ашан ООО, 01'   |
	И я нажимаю на кнопку 'Обеспечить'
	Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Номенклатура'             | 'Обеспечить' | 'План' | 'Документ'                              | 'Склад'              | 'Спецификация'             | 'Характеристика' |
		| '4 ч'          | '23.08.20 03:00' | 'Цыплята 1 кат /подложка/' | '60 (-190)'  | '250'  | 'Заявка на производство [23.08.2020] *' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я перехожу к строке:
		| 'Длительность' | 'Запуск'         | 'Номенклатура'                                | 'Обеспечить' | 'План' | 'Склад'              | 'Спецификация'                                | 'Характеристика' |
		| '4 ч'          | '23.08.20 03:00' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | '0 (=)'      | '0'    | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я завершаю редактирование строки
	И я меняю значение переключателя 'ТекущийВыпуск' на '24.08 07:00'
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Нарушений потребностей' | 'Номенклатура'             | 'Обеспечить' | 'План' | 'Документ'                              | 'Склад'              | 'Спецификация'             | 'Характеристика' |
		| '4 ч'          | '24.08.20 03:00' | '2'                      | 'Цыплята 1 кат /подложка/' | '49 (-37)'   | '86'   | 'Заявка на производство [24.08.2020] *' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Нарушений потребностей' | 'Номенклатура'             | 'Обеспечить' | 'План' | 'Документ'                              | 'Склад'              | 'Спецификация'             | 'Характеристика' |
		| '4 ч'          | '24.08.20 03:00' | '3'                      | 'Цыплята 1 кат /подложка/' | '150 (+49)'  | '101'  | 'Заявка на производство [24.08.2020] *' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я завершаю редактирование строки
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Номенклатура'                                | 'Обеспечить' | 'План' | 'Документ'                              | 'Склад'              | 'Спецификация'                                | 'Характеристика' |
		| '4 ч'          | '24.08.20 03:00' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | '0 (-96)'    | '96'   | 'Заявка на производство [24.08.2020] *' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Нарушений потребностей' | 'Номенклатура'                                | 'Обеспечить' | 'План' | 'Документ'                              | 'Склад'              | 'Спецификация'                                | 'Характеристика' |
		| '4 ч'          | '24.08.20 03:00' | '1'                      | 'Ассорти из мяса цыплят-бройлеров /подложка/' | '0 (-101)'   | '101'  | 'Заявка на производство [24.08.2020] *' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я завершаю редактирование строки
	И я нажимаю на кнопку 'Передать результат'
	Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
	И в таблице "ДвиженияТоваров" я перехожу к строке:
		| 'Доступных схем обеспечения' | 'Ед.' | 'Источник'            | 'На конец' | 'Номенклатура'             | 'Период'         | 'Приход' | 'Склад'              | 'Характеристика' |
		| '1'                          | 'кг'  | 'Белоусово->Основной' | '150'      | 'Цыплята 1 кат /подложка/' | '26.08.20 07:00' | '150'    | 'Основной склад ООО' | 'Ашан ООО, 01'   |
	И я нажимаю на кнопку 'Обеспечить'
	Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Нарушений потребностей' | 'Номенклатура'             | 'Обеспечить' | 'Отправитель'        | 'План' | 'Документ'               | 'Склад'              | 'Характеристика' |
		| '2 ч'          | '24.08.20 05:00' | '1'                      | 'Цыплята 1 кат /подложка/' | '40 (+40)'   | 'Склад  в Белоусово' | '0'    | 'Заказ на перемещение *' | 'Основной склад ООО' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я завершаю редактирование строки
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Нарушений потребностей' | 'Номенклатура'             | 'Обеспечить' | 'Отправитель'        | 'План' | 'Документ'               | 'Склад'              | 'Характеристика' |
		| '2 ч'          | '24.08.20 05:00' | '1'                      | 'Цыплята 1 кат /подложка/' | '100 (+40)'  | 'Склад  в Белоусово' | '60'   | 'Заказ на перемещение *' | 'Основной склад ООО' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я завершаю редактирование строки
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Нарушений мин. запаса' | 'Нарушений рек. запаса' | 'Номенклатура'                                | 'Обеспечить' | 'Отправитель'        | 'План' | 'Документ'               | 'Склад'              | 'СтрокБезНарушений' | 'Характеристика' |
		| '2 ч'          | '24.08.20 05:00' | '3'                     | '2'                     | 'Ассорти из мяса цыплят-бройлеров /подложка/' | '25 (-20)'   | 'Склад  в Белоусово' | '45'   | 'Заказ на перемещение *' | 'Основной склад ООО' | '3'                 | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Нарушений потребностей' | 'Нарушений рек. запаса' | 'Номенклатура'                                | 'Обеспечить' | 'Отправитель'        | 'План' | 'Документ'               | 'Склад'              | 'СтрокБезНарушений' | 'Характеристика' |
		| '2 ч'          | '24.08.20 05:00' | '3'                      | '3'                     | 'Ассорти из мяса цыплят-бройлеров /подложка/' | '75 (+25)'   | 'Склад  в Белоусово' | '50'   | 'Заказ на перемещение *' | 'Основной склад ООО' | '2'                 | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И я меняю значение переключателя 'ТекущийВыпуск' на '25.08 07:00'
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Нарушений потребностей' | 'Номенклатура'             | 'Обеспечить' | 'Отправитель'        | 'План' | 'Документ'               | 'Склад'              | 'Характеристика' |
		| '2 ч'          | '25.08.20 05:00' | '1'                      | 'Цыплята 1 кат /подложка/' | '150 (=)'    | 'Склад  в Белоусово' | '150'  | 'Заказ на перемещение *' | 'Основной склад ООО' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Нарушений мин. запаса' | 'Нарушений потребностей' | 'Нарушений рек. запаса' | 'Номенклатура'                                | 'Обеспечить' | 'Отправитель'        | 'План' | 'Документ'            | 'Склад'              | 'СтрокБезНарушений' | 'Характеристика' |
		| '2 ч'          | '25.08.20 05:00' | '2'                     | '3'                      | '1'                     | 'Ассорти из мяса цыплят-бройлеров /подложка/' | '150 (+10)'  | 'Склад  в Белоусово' | '140'  | 'Заказ на перемещение *' | 'Основной склад ООО' | '2'                 | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И я меняю значение переключателя 'ТекущийВыпуск' на '26.08 07:00'
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Нарушений потребностей' | 'Номенклатура'             | 'Обеспечить' | 'Отправитель'        | 'План' | 'Документ'               | 'Склад'              | 'Характеристика' |
		| '2 ч'          | '26.08.20 05:00' | '2'                      | 'Цыплята 1 кат /подложка/' | '150 (=)'    | 'Склад  в Белоусово' | '150'  | 'Заказ на перемещение *' | 'Основной склад ООО' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Нарушений мин. запаса' | 'Нарушений потребностей' | 'Нарушений рек. запаса' | 'Номенклатура'                                | 'Обеспечить' | 'Отправитель'        | 'План' | 'Документ'            | 'Склад'              | 'СтрокБезНарушений' | 'Характеристика' |
		| '2 ч'          | '26.08.20 05:00' | '3'                     | '3'                      | '1'                     | 'Ассорти из мяса цыплят-бройлеров /подложка/' | '150 (+10)'  | 'Склад  в Белоусово' | '140'  | 'Заказ на перемещение *' | 'Основной склад ООО' | '1'                 | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И я нажимаю на кнопку 'Передать результат'
	Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
	И в таблице "ДвиженияТоваров" я перехожу к строке:
		| 'Доступных схем обеспечения' | 'Ед.' | 'Источник' | 'На конец' | 'Номенклатура'                         | 'Период'         | 'Приход' | 'Склад'                    | 'Характеристика' |
		| '1'                          | 'кг'  | 'Фарш'     | '150'      | 'Фарш куриный натуральный / подложка/' | '25.08.20 07:00' | '150'    | 'Цех глубокой переработки' | 'Ашан ООО, 01'   |
	И я нажимаю на кнопку 'Обеспечить'
	Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И я меняю значение переключателя 'ТекущийВыпуск' на '24.08 07:00'
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И я меняю значение переключателя 'ТекущийВыпуск' на '25.08 07:00'
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И я нажимаю на кнопку 'Передать результат'
	Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
	И в таблице "ДвиженияТоваров" я перехожу к строке:
		| 'Доступных схем обеспечения' | 'Ед.' | 'Источник'              | 'На конец' | 'Номенклатура'                         | 'Период'         | 'Приход' | 'Склад'              | 'Характеристика' |
		| '1'                          | 'кг'  | 'Переработка->Основной' | '150'      | 'Фарш куриный натуральный / подложка/' | '26.08.20 07:00' | '150'    | 'Основной склад ООО' | 'Ашан ООО, 01'   |
	И я нажимаю на кнопку 'Обеспечить'
	Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Номенклатура'                         | 'Обеспечить' | 'Отправитель'              | 'План' | 'Документ'               | 'Склад'              | 'Характеристика' |
		| '4 ч'          | '24.08.20 03:00' | 'Фарш куриный натуральный / подложка/' | '100 (=)'    | 'Цех глубокой переработки' | '100'  | 'Заказ на перемещение *' | 'Основной склад ООО' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Номенклатура'                          | 'Обеспечить' | 'Отправитель'              | 'План' | 'Документ'               | 'Склад'              | 'Характеристика' |
		| '4 ч'          | '24.08.20 03:00' | 'Колбаски для жарки  "С сыром" /подл./' | '100 (=)'    | 'Цех глубокой переработки' | '100'  | 'Заказ на перемещение *' | 'Основной склад ООО' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И я меняю значение переключателя 'ТекущийВыпуск' на '25.08 07:00'
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Нарушений потребностей' | 'Номенклатура'                         | 'Обеспечить' | 'Отправитель'              | 'План' | 'Документ'               | 'Склад'              | 'Характеристика' |
		| '4 ч'          | '25.08.20 03:00' | '1'                      | 'Фарш куриный натуральный / подложка/' | '150 (=)'    | 'Цех глубокой переработки' | '150'  | 'Заказ на перемещение *' | 'Основной склад ООО' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Нарушений потребностей' | 'Номенклатура'                          | 'Обеспечить' | 'Отправитель'              | 'План' | 'Документ'               | 'Склад'              | 'Характеристика' |
		| '4 ч'          | '25.08.20 03:00' | '1'                      | 'Колбаски для жарки  "С сыром" /подл./' | '150 (=)'    | 'Цех глубокой переработки' | '150'  | 'Заказ на перемещение *' | 'Основной склад ООО' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И я меняю значение переключателя 'ТекущийВыпуск' на '26.08 07:00'
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Нарушений потребностей' | 'Номенклатура'                         | 'Обеспечить' | 'Отправитель'              | 'План' | 'Документ'               | 'Склад'              | 'Характеристика' |
		| '4 ч'          | '26.08.20 03:00' | '2'                      | 'Фарш куриный натуральный / подложка/' | '150 (=)'    | 'Цех глубокой переработки' | '150'  | 'Заказ на перемещение *' | 'Основной склад ООО' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я перехожу к строке по шаблону:
		| 'Длительность' | 'Запуск'         | 'Нарушений потребностей' | 'Номенклатура'                          | 'Обеспечить' | 'Отправитель'              | 'План' | 'Документ'               | 'Склад'              | 'Характеристика' |
		| '4 ч'          | '26.08.20 03:00' | '2'                      | 'Колбаски для жарки  "С сыром" /подл./' | '150 (=)'    | 'Цех глубокой переработки' | '150'  | 'Заказ на перемещение *' | 'Основной склад ООО' | 'Ашан ООО, 01'   |
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И я нажимаю на кнопку 'Передать результат'
	Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
	И в таблице "ДвиженияТоваров" я перехожу к строке:
		| 'Доступных схем обеспечения' | 'Ед.' | 'Источник'  | 'На конец' | 'На начало' | 'Номенклатура'                          | 'Период'         | 'Приход' | 'Склад'                    | 'Характеристика' |
		| '1'                          | 'кг'  | 'Кулинария' | '500'      | '350'       | 'Колбаски для жарки  "С сыром" /подл./' | '25.08.20 07:00' | '150'    | 'Цех глубокой переработки' | 'Ашан ООО, 01'   |
	И в таблице "ДвиженияТоваров" я активизирую поле с именем "ДвиженияТоваровПриход"
	И я нажимаю на кнопку 'Обеспечить'
	Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я завершаю редактирование строки
	И я меняю значение переключателя 'ТекущийВыпуск' на '24.08 07:00'
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я завершаю редактирование строки
	И я меняю значение переключателя 'ТекущийВыпуск' на '25.08 07:00'
	И в таблице "План" в поле 'План' я ввожу текст '0,000'
	И в таблице "План" я завершаю редактирование строки
	И я нажимаю на кнопку 'Передать результат'
	Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
	И в таблице "ДвиженияТоваров" я перехожу к строке:
		| 'Доступных схем обеспечения' | 'Ед.' | 'Источник'              | 'На конец' | 'На начало' | 'Номенклатура'                                | 'Период'         | 'Приход' | 'Склад'              | 'Характеристика' |
		| '2'                          | 'кг'  | 'Закупка у конкурентов' | '245'      | '110'       | 'Ассорти из мяса цыплят-бройлеров /подложка/' | '23.08.20 07:00' | '135'    | 'Склад  в Белоусово' | 'Ашан ООО, 01'   |
	И я нажимаю на кнопку 'Обеспечить'
	Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
	И в таблице "План" я активизирую поле "План"
	И в таблице "План" я завершаю редактирование строки
	И я нажимаю на кнопку 'Передать результат'
	Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
	И я перехожу к закладке "Планы"
	И я нажимаю на кнопку 'Создать/Обновить документы'
